Bug 1819093 (CVE-2020-2110) - CVE-2020-2110 jenkins-script-security-plugin: sandbox protection bypass during script compilation phase by applying AST transforming annotations
Summary: CVE-2020-2110 jenkins-script-security-plugin: sandbox protection bypass durin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2110
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819530 1819094 1819538 1819544 1819647 1820007 1820008
Blocks: 1819075
TreeView+ depends on / blocked
 
Reported: 2020-03-31 08:02 UTC by Dhananjay Arunesh
Modified: 2020-06-29 14:41 UTC (History)
15 users (show)

Fixed In Version: jenkins-script-security-plugin 1.70
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 23:20:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2478 None None None 2020-06-17 22:38:21 UTC
Red Hat Product Errata RHSA-2020:2737 None None None 2020-06-29 14:41:57 UTC

Description Dhananjay Arunesh 2020-03-31 08:02:25 UTC
A vulnerability was found in Jenkins Script Security Plugin 1.69 and earlier, where sandbox protection could be circumvented during the script compilation phase by applying AST transforming annotations to imports or by using them inside of other annotations.

Reference:
http://www.openwall.com/lists/oss-security/2020/02/12/3

Comment 1 Dhananjay Arunesh 2020-03-31 08:03:02 UTC
Created jenkins-script-security-plugin tracking bugs for this issue:

Affects: fedora-30 [bug 1819094]

Comment 2 Tomas Hoger 2020-03-31 09:32:15 UTC
External References:

https://jenkins.io/security/advisory/2020-02-12/#SECURITY-1713

Comment 7 errata-xmlrpc 2020-06-17 22:38:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2478 https://access.redhat.com/errata/RHSA-2020:2478

Comment 8 Product Security DevOps Team 2020-06-17 23:20:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2110

Comment 9 errata-xmlrpc 2020-06-29 14:41:55 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:2737 https://access.redhat.com/errata/RHSA-2020:2737


Note You need to log in before you can comment on or make changes to this bug.